#include <bits/stdc++.h>
#include "partition.h"
using namespace std;
vector<int> solve(vector<int> a) {
    vector<int> perm;
    int n = a.size();
    for(int i = n / 2; i < n; i++) perm.push_back(i);
    for(int i = 0; i < n / 2; i++) perm.push_back(i);
    return perm;
}
